%{?nodejs_find_provides_and_requires}

%global packagename cliui
%global enable_tests 0
# tests disabled due to failing tests

Name:		nodejs-cliui
Version:	3.0.3
Release:	1%{?dist}
Summary:	Easily create complex multi-column command-line-interfaces

License:	ISC
URL:		https://github.com/bcoe/cliui.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(string-width)
BuildRequires:	npm(wrap-ansi)
%endif

Requires:	nodejs

%description
Easily create complex multi-column command-line-interfaces


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE.txt
%{nodejs_sitelib}/%{packagename}



%changelog
* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 3.0.3-1
- Initial packaging
